<div class="app-max-width-wrapper">
  <ng-container *transloco="let t">
    <div
      class="table-container edit-active-organization-container"
      *ngrxLet="activeOrganization$; let organization">
      <h1 class="headline-container">
        {{t('organization_forms.edit_organization')}}
      </h1>
      <app-edit-organization-status-indicator [status]="organization?.account_state"></app-edit-organization-status-indicator>
      <app-edit-organization-overview
        [organization]="organization"
        [isNameDone]="isNameReady$|ngrxPush"
        [isDetailsDone]="isDetailsReady$|ngrxPush"
        [isContactDone]="isContactReady$|ngrxPush"
        (editOrganizationLogoClicked)="onOrganizationLogoEdit()"
        (editOrganizationNameClicked)="onOrganizationNameEdit()"
        (editOrganizationDetailsClicked)="onOrganizationDetailsEdit()"
        (editOrganizationContactDataClicked)="onOrganizationContactEdit()">
      </app-edit-organization-overview>
    </div>
  </ng-container>
</div>
